Effective File Search help system

Use the left panel to navigate the help system. Also you may click hyperlinks to view the related information.

Use 'How to...' section of help to learn how to perform various tasks with EFSearch

Read the overview to learn more

Effective File Search official web site is located at http://www.sowsoft.com/search.htm

(C) Copyright 2001-2011 Sowsoft, LLC; all names mentioned in the text are trademarks (tm) or registered trademarks (r) of their respectful owners.


Effective File Search Overview

Effective File Search 6.8 Overview

Effective File Search (EFS) is a powerful yet easy to use search tool. Search any files on your computer or local network with this effective software. EFS is a great replacement for the Windows Search utility.

What's New (v6.8 - August, 2011):

  • Ability to pause/resume search process ('Pause' key).
  • Ability to create USB flash drive version of Effective File Search.

    Major features:

  • Search of files in folders or search results
  • Filtering by file date and size
  • Search of files containing text or hex
  • Support of all popular file formats (MS Office files, OpenOffice files, PDF, RTF, HTML and many other text and binary files)
  • Actions with search results (copy, delete, rename etc.)
  • Windows Explorer functionality (icons, context menus etc.)
  • Advanced export and report functions for your business
  • All results and parameters can be saved to file
  • Administrative options, automation (script language) and other advanced functions

    EFS requires Win9X/NT/2000/XP/2003/Vista/7.

    This is freeware version.

    Effective File Search official web site is located at http://www.sowsoft.com/search.htm


Working with Effective File Search

Step 1: Set program options

Effective File Search allows flexible configuration. Set the program options to achieve maximally customized search results and most convenient working environment.

Step 2: Set search options

Effective File Search is extremely easy to use. The application features intuitive interface to help you start searching files in seconds. Learn using EFS powerful search options

Step 3: Press the Search button

Enjoy the fastest file search based on your extended criteria. Once the search is over view the results.

Step 4: Manage found files

Once you have got your search results you may want to take various actions. Manage found files right from Effective File Search \ Explorer Native interface.

Step 5: Save your search configuration to a file

You will not have to complete all of these steps once again. Just save your search configuration to a file, so that you can restore it in future and let EFS know about your searching habits. Learn how to use File menu to save your time and search effectively!


EFS Search Options

Unlike Microsoft Windows built-in search utility, Effective File Search features extensive set of advanced search options to let you find exactly the files you are looking for. Each group of search options is represented with its own tab in EFS main window. Among those are:

Main search options (define what and where to search)

Date and Size options (define date of creation\modification\last access and size of files to search)

Containing text options (define what exactly to search within given files)


Main Search Options

Main search options tab is used to define what and where to search.

Name - defines file(s) name(s) to search. You may use filename wildcards (* and ?) to specify files to search.
* - substitutes any part of the filename (*.txt means all files that have .txt extension)
? - substitutes any symbol in filename (Easte?.txt)
Various combinations of wildcards can be used (e.g. East??.* or *.tx?)

You may use the following logical expressions:
1) "filename1" "filename2" - search for filename1 or filename2
2) "filename1" +"filename2" - search for filename1 and filename2
3) "filename1" -"filename2" - search for filename1 and not filename2
Example: -"*.doc" - search for all files except Word documents

Folder - defines folder (or drive) to search files on.
Local hard drives - designates all hard drives found on the local machine as a search place.
X:\ - specifies the X drive to conduct search on.
To specify exact folder to search in you should press Browse and point to the needed folder in the folders tree.

Folders - defines a number of folders (or drives) to search files on.

  • To add a folder to Folders list select a folder in Folder field and press the Add button.
  • To remove a folder from Folders list select the folder in the list and press Delete.
  • To clear Folders list for good press Clear

    Include subdirectories - if this option is set all sub-folders (or sub-directories) that lie in search folder(s) will also be searched for files (e.g. both C:\Easter and C:\Easter\2002 will be searched for files).

    Search in - controls the search location(s) choice.
  • To search for files on location specified in Folder field set this to Folder.
  • To search for files on location(s) specified in Folders list set this to Folders.
  • To search for files on locations specified both in Folder field and in Folders list set this to Folder + Folders.
  • To search for files in results of previous search set this to Results.


Date and Size Search Options

Date and Size options tab is used to define date of creation\modification\last access and size of files to search.

Search by Date Criteria

Find files - enables date of file creation\modification\last access search criteria.

  • created - places the file in results list if its creation date falls into the given scope;
  • modified - places the file in results list if its last modification date falls into the given scope;
  • last accessed - places the file in results list if the date of last access to it falls into the given scope.

    Between - sets the date scope to exact interval between two dates.

    Within previous - sets the date scope to relative interval.
  • day - places the file in results list if its creation\modification\last access date falls into last 24 hours interval;
  • week - places the file in results list if its creation\modification\last access date falls into last 7 days interval;
  • month - places the file in results list if its creation\modification\last access date falls into last 30 days interval;
  • year - places the file in results list if its creation\modification\last access date falls into last 365 days (12 months) interval;

    Search by Size Criteria

    Larger than - places the file in results list if its size (in bytes, kilobytes or megabytes) is larger than the value specified.

    Smaller than - places the file in results list if its size (in bytes, kilobytes or megabytes) is smaller than the value specified.


Containing Text Search Options

Containing text options tab is used to define what exactly to search within given files.

Text line - enables searching of files containing given text string.

  • Case sensitive - enables conducting letter case sensitive searches (when this option is set 'EASTER', 'Easter' and 'easter' are three different words);
  • Whole words - if set, this option influences searching by placing files to results list only if they contain the whole string (if it is not set, 'Eas' text search string will return all files containing 'Eas' substring, not necessesarily the whole word 'Easter');
  • Unicode - set this option to be able to search for text strings in unicode files (such as all Microsoft Office documents);
  • RegEx - recognizes regular expressions in the search string;

    Hex code - enables searching of files containing given hexademical code (binary).

    Logical search operators

    Logical search operators are used to form multiple text \ hex code search criteria. AND unites two logical conditions, while OR makes any of them count. XOR reverses the logical operation. NOT is exactly what it sounds like.
    In example search depicted on the screenshot we want to find all the files containing word "Easter" OR "Father's Day" AND NOT those containg "Christmas".


EFS Results List

Customization of Default Search Options

EFS offer default search settings. Just start EFS or click Reset button to see these settings. EFS default settings are good for 90% users.

How to change default parameters:

1. Start EFS and change search options manually.
2. Save your search parameters to the default.efsp file.
3. Then you can edit this file with Notepad.
4. Copy default.efsp file to the EFS folder (program files\EFS).

Examples:

1. You can change default Kilobytes to Megabytes for Date and Size Tab.
2. You can change default OR to AND for Containing Text Tab.


EFS Results List

Results window represents a list of found files. Let us have a look at its columns:

Name - contains a filename

Folder - contains the full path to folder containing the file

Size - contains the size of a file found in bytes

Date - contains a the date of last file modification

Ext - contains a filename extension (type)

After the search is complete you can perform various tasks on found items. Generaly results list is Explorer-like folder. So you can perform the following standard Explorer tasks:

  • Single click a file to select it
  • Double click a file to open it with default associated program
  • Right-click a file to bring default Explorer file context menu (similar to right-clicking a file in any folder of Explorer)
  • Left click and drag a file to any folder \ location move it to location where dropped
  • Ctrl + Left click and drag a file to any folder \ location copy it to location where dropped

    Effective File Search makes a set of other actions available for files in results list. Among those are creation and deletion of shortcuts, files copying \ renaming \ deletion etc. See Actions menu topic of help for details.

    Also the results of search can be saved to a text file or exported to data interchange file using Effective File Search File menu.


EFS Actions Menu

Once you have got your search results you may want to take various actions. Manage found files right from Effective File Search \ Explorer Native interface.

Copy shortcuts - copies shortcuts (names of files in results list)

Delete shortcuts - removes names of files from results list

Copy files - copies file(s) to Windows clipboard. Copied files can than be pasted into any folder on your system. This is similar to selecting a file in Explorer and pressing Ctrl-C to copy it co clipboard.

Copy to folder - copies selected file(s) to user-defined folder.

Move to folder - moves selected file(s) to user-defined folder.

Rename files - brings up a rename files selection pop up menu

Lower case -
renames file(s) to all lower case letters (i.e. FILENAME or FIleNaMe to filename)
Upper case -
renames file(s) to all upper case letters (i.e. filename or FIleNaMe to FILENAME)
Such renaming is important when transfering files to case-sensitive operating systems such as Unix

Delete files - brings up a delete files pop up menu

Recycle bin - deletes a file to Recycle bin (deleted file can be restored by means of Windows Recycle bin). A confirmation may be asked by Windows standard file deletion routine;

Normal - deletes a file without placing it to Recycle bin (file cannot be restored by means of Windows Recycle bin).

Statistics - brings up selected files statistics window. Information contained in statistics window represents total size and number of files selected as well as total size and number of files in results list.

Select all - selects all files in results list

Invert selection - inverts the selection by marking previously selected files as non-selected and vice versa


EFS File Menu

Effective File Search File menu provides interface to saving search results and options as well as other files related operations.

Open - opens the EFS file and places the results of previous search to the results window

Save - saves the contents of results window to EFS file

Export - brings up a data export target selection pop up menu

List of files - exports the search results to a text (.txt) file (each line of text in this file represents the full path to a file found);
Table of results - exports the search results to a comma separated values (.csv) file. This format is used by many applications (e.g. Microsoft Excel) to share data. Each line of text in this file represents one file found and has the following format:
"filename.ext","Path to file","size in bytes","date and time","file type";
Batch file - exports the search results to a batch (.bat) file (each line in this file represents the command). In the command the following variables may be used: <file> - full file name, <name> - file name without extension, <folder> - file folder, <ext> - file extension.

Open parameters - opens the EFS search parameters file (.efsp) sets the search options accordingly

Save parameters - saves current search options to EFS search parameters file (.efsp) for further use. You may specify which of search options to save in a window that appears.

Execute - executes the system command currently associated with the file selected in results list. This has the same effect as double-clicking a file in results list.

Open file as - brings up a custom file association pop up menu

_custom_name_ (user defined name) - the pop up menu consists of user defined possible file assoiciations (i.e. a text file can be opened both with Notepad and Microsoft Word)
Configure... - brings up the 'Open file as configuration' window

Use this window to edit current and add new custom file associations. Press the ADD button to add a new program. In a window that appears type in a title for this association (this title will be shown in 'Open file as' pop up menu).

Press OK. After this is done you should press the [...] button next to the 'Program' field and browse for executable (.exe) file of the program that should be used for opening files. Now, the last step is to specify parameters. Usually 'file' is the only parameter you need, however in some cases additional command line parameters may be required.

To delete an item from 'Open file as' pop up menu highlite its title in 'Configure Open file as' window and press Delete. If you want to rename an item select it in configuration window and press Rename.

Open folder - opens a folder that contains the currently selected file in results list

Exit - closes Effective File Search application


Regular expressions

With regular expressions you can customize a search string and perform advanced searches.

^ character matches the start of a file

$ character matches the end of a file

. character matches any character

* character after a string matches any number of last character repetitions

\d matches any number character

\w matches any word character

\s matches any space character

\xnn matches a character with hex code "nn"

text1|text2 matches "text1" OR "text2"

Examples

test matches test

p.*e matches pe, pure, puzzle

J(ohn|ames) matches John or James

first\x09second matches first{Tab character}second

Pentium \d matches Pentium 2, Pentium 3, Pentium 4


EFS Results List

EFS Scripts

You can use EFS Script files to automate search and file management tasks.

Using script file:

1. Create plain text file with Notepad or other text editor.
2. Enter list of script commands to this file.
3. Save this file as .efss file (for example myscript.efss).
4. Now you may run this script from Windows Explorer.

Example:

---
open "{My documents}\last week text files.efsp"
search
export table "{My documents}\lastweek.csv"
exit
---
This script opens search options from file, finds files, keeps results to CSV document and closes EFS.

Note: {My documents} - your default "My documents" folder. {Desktop} - your default "Desktop" folder. Information for Windows Vista users.

Commands:

open "file name" - open search results or search parameters from file

save "file name" - save search results or search parameters to file

export type "file name" - export of results to file
type=list - export to list of files (export list "{My documents}\1.txt")
type=table - export to table of results (export table "{My documents}\1.csv")

search - perform search

selectall - select all found files

copytofolder "folder name" - copy selected files to folder

movetofolder "folder name" - move selected files to folder

deletefiles - delete selected files

print - print search results

exit - close Effective File Search


Program Options

Effective File Search is allows flexible configuration. Set the program options to achieve maximally customized search results and most convenient working environment.

Case sensitive - if checked, filenames will be searched basing on letter case (i.e. Easter.txt and eAster.Txt wil be considered two different filenames)

Find folders - if checked, folder names matching search criteria will be placed to results list together with file names

Save window size - if checked, EFS main window size will be saved on exit and restored on next program launch

Date Format - this group of switches defines the date format

Date Only - date output only (e.g. 06/25/2002)
Date + Hour:Min - date, hour and minute output (e.g. 06/25/2002 : 11:24)
Date + Hour:Min:Sec - date, hour, minute and second output (e.g. 06/25/2002 : 11:24:15)
Windows locale - date will be shown as defined in your Windows operating system local settings

Administration - brings up the administration window shown below:

Black list of drives and folders is filled manually (one full path per line). Each line represents path to drive or folder that should be excluded from searching. This is usually done for security purposes by administrator of machine. Settings are stored in HKEY_LOCAL_MACHINE\Software\SOW\EFS\Policy registry key. Use Microsoft Windows administrative tools to protect this key (set read-only access for users).

Storage of application settings option is provided for high level of security systems that either do not allow modifying system registry (even the HKEY_CURRENT_USER key subkeys) or prohibit writing files on disk. So there is an alternative:

  • System registry - settings are stored in system registry key HKEY_CURRENT_USER\Software\SOW\EFS, or
  • INI files - settings are stored in textual initialization files that reside in Effective File Search folder.
    Choose the appropriate storage metod and press 'OK' to save changes. 'Cancel' discards changes and returns you to EFS main window.

    Information for Windows Vista users

    Please use standard folders ("my documents", "my pictures", "desktop" etc.) to save your EFS documents and copy/move your files. It is a good practice for Windows Vista. System folders ("C:\", "C:\Windows\") are not good for users.

    But if you want to use EFS for system tasks and you are administrator then copy "{EFS folder}\RunAsAdmin\search.exe.manifest" file to your "{EFS folder}".

     EFS log files

    Effective File Search offer useful log files "efs-log.txt" (search) and "efss-log.txt" (scripts). You can analyze these files here:
    {temp folder} or "c:\document and settings\user\local settings\temp\"